/**
* \file  conf_extint.h
*
* \brief SAMR34 External Interrupt Configuration
*
* Copyright (c) 2020 Europalab Devices ApS
*
* \asf_license_start
*
* \page License
*
* This file is part of Sendcomm.
*
* Sendcomm is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* Sendcomm is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with Sendcomm. If not, see <https://www.gnu.org/licenses/>.
*
* \asf_license_stop
*
*/

#ifndef CONF_EXTINT_H_INCLUDED
#define CONF_EXTINT_H_INCLUDED

/**
 * Define which clock type is used to clock EIC peripheral:
 *     - EXTINT_CLK_GCLK
 *     - EXTINT_CLK_ULP32K
 *
 * EXTINT_CLK_ULP32K is available for SAM L21/C21.
 */
#define EXTINT_CLOCK_SELECTION   EXTINT_CLK_ULP32K

/**
 * Define which GCLK source is used when selecting EXTINT_CLK_GCLK type.
 */
#if (EXTINT_CLOCK_SELECTION == EXTINT_CLK_GCLK)
#  define EXTINT_CLOCK_SOURCE      GCLK_GENERATOR_0
#endif

#endif
