/**
 * \file
 *
 * \brief SAM R34 Xplained Pro board configuration.
 *
 * Copyright (c) 2020 Europalab Devices ApS
 *
 * \asf_license_start
 *
 * \page License
 *
 * This file is part of Sendcomm.
 *
 * Sendcomm is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Sendcomm is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Sendcomm. If not, see <https://www.gnu.org/licenses/>.
 *
 * \asf_license_stop
 *
 */

#ifndef CONF_BOARD_H_INCLUDED
#define CONF_BOARD_H_INCLUDED

/*********** DIO Config **********/
/*Enable the required DIO's*/
#define ENABLE_DIO0
#define ENABLE_DIO1
#define ENABLE_DIO2
/*********************************/

/* RF Switch Enable */
#define RFSWITCH_ENABLE

/******** TCXO Changes***********/
/* Possible Radio clock sources */
#define TCXO_OSC                0
#define XTAL_OSC                1

/* Clock source for SX1276 radio */
//#define RADIO_CLK_SRC        TCXO_OSC
#define RADIO_CLK_SRC        XTAL_OSC

#if (RADIO_CLK_SRC == TCXO_OSC)
#define TCXO_ENABLE
#endif

/* Delay in ms for TCXO to stabilize */
#define RADIO_CLK_STABILITATION_DELAY       2
/**********************************/

/************** RSSI Config *******/
// For freq above 862Mhz the RSSI offset to be used
#define RSSI_HF_OFFSET				-157

// For freq below 862Mhz the RSSI offset to be used
#define RSSI_LF_OFFSET				-164
/**********************************/

/* Enable if OLED1 Xplained Pro is connected */
#define EXT_BOARD_OLED1_XPLAINED_PRO

#if (defined EXT_BOARD_OLED1_XPLAINED_PRO)

#define ENABLE_LCD

#define WING_BUTTON_1 EXT1_PIN_9
#define WING_BUTTON_2 EXT1_PIN_3
#define WING_BUTTON_3 EXT1_PIN_4

#endif

#if defined (ENABLE_LCD)
#include "lcd.h"
#endif

#endif /* CONF_BOARD_H_INCLUDED */
